summaryrefslogtreecommitdiff
path: root/examples/setup.sh
diff options
context:
space:
mode:
Diffstat (limited to 'examples/setup.sh')
-rwxr-xr-xexamples/setup.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/examples/setup.sh b/examples/setup.sh
new file mode 100755
index 0000000..3fe918f
--- /dev/null
+++ b/examples/setup.sh
@@ -0,0 +1,16 @@
+#!/bin/sh
+
+set -e
+
+# This setup script is an alternative method of adjusting the tarball
+# contents immediately after multistrap has unpacked the packages.
+
+# At this stage, any operations inside the rootfs must not try to
+# execute any binaries within the rootfs.
+
+# The script is called with the following arguments:
+
+# $1 = $DIR - the top directory of the bootstrapped system
+# $2 = $ARCH - the specified architecture, already checked with dpkg-architecture.
+
+# setup.sh needs to be executable.